Debit and Prepaid Partial Authorizations
Partial authorizations and balance responses are special features that are available for debit cards and prepaid cards. This section shows you how to enable or disable partial authorizations for a specific transaction.
Supported Processors
- Chase Paymentech Solutions
- Elavon Americas
- FDC Nashville Global
- Streamline
- Worldpay VAP
Processor-Specific Information
: to globally process domestic debit transactions with Mastercard in Canada, you must contact customer support to have your account configured for this feature.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
Enabling Partial Authorizations
Include this field in addition to the fields required for a standard authorization request:
- Indicate that this request is a partial authorization. Set the
processingInformation.authorizationOptions.partialAuthIndicatortotrue.
Example
{ "clientReferenceInformation" : { "code" : "TC50171_3" }, "orderInformation" : { "billTo" : { "country" : "US", "lastName" : "Deo", "address2" : "Address 2", "address1" : "201 S. Division St.", "postalCode" : "48104-2201", "locality" : "Ann Arbor", "administrativeArea" : "MI", "firstName" : "John", "phoneNumber" : "999999999", "district" : "MI", "buildingNumber" : "123", "company" : "Visa", "email" : "" }, "amountDetails" : { "totalAmount" : "1000.00", "currency" : "USD" } }, "paymentInformation" : { "card" : { "expirationYear" : "2030", "number" : "5555555555xxxxxx", "securityCode" : "123", "expirationMonth" : "12", "type" : "002" } }, "processingInformation" : { "authorizationOptions" : { "partialAuthIndicator" : "true" } }}{ "_links" : { "self" : { "method" : "GET", "href" : "/pts/v2/payments/6595549144566655003494" } }, "clientReferenceInformation" : { "code" : "TC50171_3" }, "id" : "6595549144566655003494", "orderInformation" : { "amountDetails" : { "totalAmount" : "1000.00", "authorizedAmount" : "499.01", "currency" : "USD" } }, "paymentInformation" : { "accountFeatures" : { "currency" : "usd", "balanceAmount" : "0.00" } }, "pointOfSaleInformation" : { "terminalId" : "261996" }, "processorInformation" : { "merchantNumber" : "000000092345678", "approvalCode" : "888888", "cardVerification" : { "resultCode" : "" }, "networkTransactionId" : "123456789619999", "transactionId" : "123456789619999", "responseCode" : "100", "avs" : { "code" : "X", "codeRaw" : "I1" } }, "reconciliationId" : "56059417N6C86KTJ", "status" : "PARTIAL_AUTHORIZED", "submitTimeUtc" : "2026-08-03T19:28:34Z"}Disabling Partial Authorizations
Include this field in addition to the fields required for a standard authorization request:
- Indicate that this request is not a partial authorization. Set the
processingInformation.authorizationOptions.partialAuthIndicatortofalse.
Example
{ "processingInformation": { "authorizationOptions": { "partialAuthIndicator": "false" } }, "clientReferenceInformation": { "code": "TC50171_3" }, "orderInformation": { "billTo": { "country": "US", "lastName": "Deo", "address2": "Address 2", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "John", "phoneNumber": "999999999", "district": "MI", "buildingNumber": "123", "company": "Visa", "email": "" }, "amountDetails": { "totalAmount": "501.00", "currency": "USD" } }, "paymentInformation": { "card": { "expirationYear": "2030", "number": "5555555555xxxxxx", "securityCode": "123", "expirationMonth": "12", "type": "002" } }}{ "_links": { "self": { "method": "GET", "href": "/pts/v2/payments/6595545423896900104953" } }, "clientReferenceInformation": { "code": "TC50171_3" }, "errorInformation": { "reason": "PROCESSOR_DECLINED", "message": "Decline - General decline of the card. No other information provided by the issuing bank." }, "id": "6595545423896900104953", "pointOfSaleInformation": { "terminalId": "111111" }, "processorInformation": { "networkTransactionId": "123456789619999", "transactionId": "123456789619999", "responseCode": "100", "avs": { "code": "X", "codeRaw": "I1" } }, "status": "DECLINED"}Required Fields
Use these required fields for enabling or disabling debit and prepaid partial authorizations.
| Field | Description |
|---|---|
clientReferenceInformation. | Order reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. |
orderInformation. | |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
paymentInformation. | — |
paymentInformation. | — |
paymentInformation. | — |
paymentInformation. | — |
processingInformation. | Set the value to true to enable partial authorization for the transaction, or false to disable partial authorization for the transaction. When you set the value to false, only that specific transaction is disabled for partial authorization. |
Optional Field
You can use this optional field to include additional information when enabling or disabling debit and prepaid partial authorizations.
Optional Field
| Field | Description |
|---|---|
processingInformation. | set this field to the request ID that was returned in the response message from the original authorization request. |
Thanks for your feedback!
Last published: October 28, 2026